
/***************************************************************************
*
* AutomateIT -- MS Office COM objects cloner
* 
* Copyright (C) 2005 by ApriorIT <support@apriorit.com>
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
****************************************************************************/


// ExcelClone.cpp : Implementation of WinMain

#include "stdafx.h"
#include "resource.h"
#include "ExcelClone.h"
#include "Workbooks.h"

class CExcelCloneModule : public CAtlExeModuleT< CExcelCloneModule >
{
public :
	DECLARE_LIBID(LIBID_ExcelCloneLib)
	DECLARE_REGISTRY_APPID_RESOURCEID(IDR_EXCELCLONE, "{E8CFCC3A-97A0-41B6-9B48-3E19A1E4DB92}")
};

CExcelCloneModule _AtlModule;

#define MAX_LOADSTRING 256

// Forward declarations of functions included in this code module:


CWorkbooks	*g_pWorkbooks = NULL;



extern "C" int WINAPI _tWinMain(HINSTANCE hInstance, HINSTANCE /*hPrevInstance*/, 
                                LPTSTR /*lpCmdLine*/, int nShowCmd)
{

    WRITE_LOG_R_W((L"Excel cloner start"));

    return _AtlModule.WinMain(nShowCmd);
}

